#pragma once

#include <hip/hip_bfloat16.h>

using __nv_bfloat16 = hip_bfloat16;

struct __nv_bfloat16_raw {
  uint16_t x;
  __host__ __device__ __nv_bfloat16_raw() = default;
  __host__ __device__ explicit __nv_bfloat16_raw(__nv_bfloat16 const& v) : x(v.data) {}
};
